{% extends 'base1.html' %}
{% load static %}
{% block content %}
<body style="text-align: center; background-color: #ffffff;">
    <!-- Modal -->
    <div
        class="modal fade"
        id="exampleModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="exampleModalLabel"
        aria-hidden="true"
    >
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">
                        <!-- will be change into artist name in json --> 
                    </h5>
                    <button
                        type="button"
                        class="close"
                        data-dismiss="modal"
                        aria-label="Close"
                    >
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body" id="modalbody">
                    <div>
                        <h2>ALBUMS</h2>
                        <div class="table-responsive" id="albums">
                            <!-- To be filled with a table from JSON -->
                        </div>
                    </div>
                    <div>
                        <h2>SONGS</h2>
                        <div class="table-responsive" id="songs">
                            <!-- To be filled with a table from JSON -->
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button
                        type="button"
                        class="btn btn-secondary"
                        data-dismiss="modal"
                    >
                        Close
                    </button>
                </div>
            </div>
        </div>
    </div>

    <!-- Content Start -->
    <div
        class="container"
        style="font-family: 'Crimson Pro', serif; padding: 2vh;"
    >
        <div class="container headerbox">
            <h1>Cari Musik</h1>
        </div>
        <div class="container searchbox">
            <div class="row justify-content-center">
                <div class="col-12 col-md-10 col-lg-8">
                    <form class="card card-sm" id="searchForm">
                        <div
                            class="card-body row no-gutters align-items-center"
                        >
                            <div class="col-auto">
                                <i class="fas fa-search h4 text-body"></i>
                            </div>
                            <!--end of col-->
                            <div class="col">
                                <input
                                    id="searchInput"
                                    class="form-control form-control-lg form-control-borderless"
                                    type="search"
                                    placeholder="Search Artist Name"
                                />
                            </div>
                            <!--end of col-->
                            <div class="col-auto">
                                <button
                                    class="btn btn-lg btn-success"
                                    type="submit"
                                >
                                    Search
                                </button>
                            </div>
                            <!--end of col-->
                        </div>
                    </form>
                </div>
                <!--end of col-->
            </div>
        </div>
        <div class="container" style="padding: 3vh;">
            <div class="table-responsive" id="result">
                <!-- To be filled with a table from JSON -->
            </div>
        </div>
    </div>

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script
        src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"
    ></script>
    <script
        src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"
    ></script>
</body>
<!-- AJAX JSON Filler Script -->
<script src="{% static '/scripts/main.js' %}"></script>
</html>

{% endblock %} 